
From: Eugene Surovegin <ebs@ebshome.net>

Disable IBM405_ERR77 and IBM405_ERR51 errata workarounds for 405EP.  This
chip has these problems fixed.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/4xx/Kconfig |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/platforms/4xx/Kconfig~ppc32-disable-ibm405_err77-and-ibm405_err51-workarounds-for-405ep arch/ppc/platforms/4xx/Kconfig
--- 25/arch/ppc/platforms/4xx/Kconfig~ppc32-disable-ibm405_err77-and-ibm405_err51-workarounds-for-405ep	Mon Aug 29 15:14:16 2005
+++ 25-akpm/arch/ppc/platforms/4xx/Kconfig	Mon Aug 29 15:14:16 2005
@@ -142,13 +142,13 @@ config IBM440EP_ERR42
 # All 405-based cores up until the 405GPR and 405EP have this errata.
 config IBM405_ERR77
 	bool
-	depends on 40x && !403GCX && !405GPR
+	depends on 40x && !403GCX && !405GPR && !405EP
 	default y
 
 # All 40x-based cores, up until the 405GPR and 405EP have this errata.
 config IBM405_ERR51
 	bool
-	depends on 40x && !405GPR
+	depends on 40x && !405GPR && !405EP
 	default y
 
 config BOOKE
_
